#include "project.h"
#include <stdio.h>

char str[128] ; /* print buffer */
void print(char *str)
{
    UART_PutString(str) ; /* for PSoC 5LP */
//  UART_UartPutString(str) ; /* for PSoC 4 */
}

int main(void)
{
    int count = 0 ;
    
    CyGlobalIntEnable; /* Enable global interrupts. */
    UART_Start() ;
    
    sprintf(str, "UART Test (%s %s)\r\n", __DATE__, __TIME__) ;
    UART_PutString(str) ;
    CyDelay(10) ;
    
    for(;;)
    {
        sprintf(str, "UART %d\r\n", count++) ;
        print(str) ;
        CyDelay(1000) ;
    }
}

